Foreman - Bug #14432

Scoped search with 'value' key is not working for smart class parameter and variable.

04/01/2016 03:15 AM - Ori Rabin

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: Search
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1321890 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3385

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1321890

Description of problem:

Scoped search with 'value' key is not working for smart class parameter and variable.
Neither the values are auto populated nor entities are searched when value is given.

Version-Release number of selected component (if applicable):
Sat 6.2 Snap 5.1

How reproducible:
Always

Steps to Reproduce:

1. Add number of smart class parameters by importing puppet module.
2. Go to Configure -> Smart Class parameters page.

3. Search an entity by 'value' key.

Actual results:
No results. Also the values are not auto populated to be searched.

Expected results:

1. Values should be auto populated to be searched and on search the appropriate entitied should be listed.
- Or -

2. Remove the scoped search by 'value' key.

Additional info:

Associated revisions

Revision 4c22f365 - 04/07/2016 06:59 AM - Ori Rabin

Fixes #14432 - Removing scoped search on value for smart class parameter

History

#1 - 04/01/2016 06:47 AM - Dominic Cleal
- Category changed from Web Interface to Search

- Status changed from New to Assigned

#2 - 04/06/2016 10:17 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3385 added

#3 - 04/07/2016 07:01 AM - Ori Rabin
- Status changed from Ready For Testing to Closed
https://bugzilla.redhat.com/show_bug.cgi?id=1321890

- % Done changed from 0 to 100

Applied in changeset 4c22f365aedb1236576f96e3a600f2414d5ff7a3.

#4 - 04/07/2016 09:14 AM - Dominic Cleal

- translation missing: en.field_release set to 136
